PDA

Visualizza la versione completa : ./configure - invalid variable name: --with-includes


gta3!
31-08-2009, 19:18
Ciao ragazzi.
Sto cercando di configurare proftpd utilizzando le librerie Mysql. Ho visto in giro che bisogna lanciare una stringa così per recuperare poi le librerie neccessarie.

Come mai però mi viene restituito: invalid variable name: --with-includes?



./configure --with-modules=mod_sql:mod_sql_mysql:mod_quotatab:mod_quo tatab_sql \ --with-includes=/usr/include/mysql \ --whith-libraries=/usr/lib



Attendo risposte, grazie!

gta3!
31-08-2009, 19:41
Ora ho provato con



./configure \
--with-modules=mod_sql:mod_sql_mysql:mod_quotatab:mod_quo tatab_sql \
--with-includes=/usr/include/mysql \
--with-libraries=/usr/lib/mysql


Ora i percorsi sono giusti, mi da questo errore


configure: WARNING: you should use --build, --host, --target
configure: WARNING: invalid host type:
configure: WARNING: you should use --build, --host, --target
configure: WARNING: invalid host type:
configure: WARNING: you should use --build, --host, --target
configure: WARNING: invalid host type:
checking build system type... config.sub: missing argument
Try `config.sub --help' for more information.
configure: error: /bin/sh .//config.sub failed

troix
01-09-2009, 02:54
Che distribuzione linux usi?

gta3!
02-09-2009, 13:29
Originariamente inviato da troix
Che distribuzione linux usi?

Ero su Gentoo...ma ho risolto..o per lo meno...ho lasciato perdere e ho installato Ubuntu :)

PinguinoGoloso
02-09-2009, 14:01
Su Gentoo la ebuild di proftpd non ha la USE flag "mysql" ? Mi par strano... Infatti ce l'ha: http://en.gentoo-wiki.com/wiki/ProFTPD .

gta3!
02-09-2009, 17:36
Originariamente inviato da PinguinoGoloso
Su Gentoo la ebuild di proftpd non ha la USE flag "mysql" ? Mi par strano... Infatti ce l'ha: http://en.gentoo-wiki.com/wiki/ProFTPD .

Non so perchè mi hanno consegnato così il server...ma è una versione vecchia (da quello che ho capito 2006), così ho formattato e mi sono messo ubuntu server :)

Loading